%define anolis_release 2
%global srcname bottle

Name:           python-%{srcname}
Version:        0.12.25
Release:        %{anolis_release}%{?dist}
Summary:        Fast and simple WSGI-framework for small web-applications

License:        MIT
URL:            http://bottlepy.org
Source0:        https://github.com/bottlepy/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python3dist(pytest)

%description
Bottle is a fast and simple micro-framework for small web-applications.
It offers request dispatching (Routes) with URL parameter support, Templates,
a built-in HTTP Server and adapters for many third party WSGI/HTTP-server and
template engines. All in a single file and with no dependencies other than the
Python Standard Library.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Fast and simple WSGI-framework for small web-applications
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Bottle is a fast and simple micro-framework for small web-applications.
It offers request dispatching (Routes) with URL parameter support, Templates,
a built-in HTTP Server and adapters for many third party WSGI/HTTP-server and
template engines. All in a single file and with no dependencies other than the
Python Standard Library.

%package -n python%{python3_pkgversion}-%{srcname}-doc
Summary: Doc files for python%{python3_pkgversion}-%{srcname}
Requires: python%{python3_pkgversion}-%{srcname} = %{EVR}

%description -n python%{python3_pkgversion}-%{srcname}-doc
Doc files for python%{python3_pkgversion}-%{srcname}

%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i '/^#!/d' bottle.py

%build
%py3_build

%install
%py3_install
rm %{buildroot}%{_bindir}/bottle.py

%check
%{pytest} test

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/*.py

%files -n python%{python3_pkgversion}-%{srcname}-doc
%doc AUTHORS README.rst docs/*

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.12.25-2
- Rebuild with python3.11

* Wed Nov 29 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.12.25-1
- init from upstream
